Package org.opensaml.xmlsec.encryption.impl

# Class AbstractXMLEncryptionUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.xmlsec.encryption.impl.AbstractXMLEncryptionUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

Direct Known Subclasses:
  `AgreementMethodUnmarshaller`, `AlgorithmIdentifierTypeUnmarshaller`, `CipherDataUnmarshaller`, `CipherReferenceUnmarshaller`, `ConcatKDFParamsUnmarshaller`, `DerivedKeyUnmarshaller`, `DHKeyValueUnmarshaller`, `EncryptedTypeUnmarshaller`, `EncryptionMethodUnmarshaller`, `EncryptionPropertiesUnmarshaller`, `EncryptionPropertyUnmarshaller`, `KeyDerivationMethodUnmarshaller`, `PBKDF2ParamsUnmarshaller`, `ReferenceListUnmarshaller`, `ReferenceTypeUnmarshaller`, `SaltUnmarshaller`, `TransformsUnmarshaller`

public abstract class AbstractXMLEncryptionUnmarshaller extends AbstractXMLObjectUnmarshaller
An abstract unmarshaller implementation for XMLObjects from XML Encryption.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractXMLEncryptionUnmarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processAttribute, processChildElement, processElementContent, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractXMLEncryptionUnmarshaller

public AbstractXMLEncryptionUnmarshaller()